Bug 26472 - Needs to be updated
Summary: Needs to be updated
Status: CLOSED FIXED
Alias: None
Product: Sisyphus
Classification: Development
Component: mcelog (show other bugs)
Version: unstable
Hardware: all Linux
: P3 normal
Assignee: Michael Shigorin
QA Contact: qa-sisyphus
URL:
Keywords:
Depends on:
Blocks: 30350
  Show dependency tree
 
Reported: 2011-10-19 10:47 MSK by Konstantin Pavlov
Modified: 2014-09-23 21:32 MSK (History)
7 users (show)

See Also:


Attachments
mcelog-1.0-alt1_0.6.6e4e2a00.src.rpm (290.37 KB, application/x-rpm)
2013-01-03 01:57 MSK, viy
no flags Details
mcelog-1.0-alt1.src.rpm (174.10 KB, application/octet-stream)
2013-01-03 03:32 MSK, Michael Shigorin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Pavlov 2011-10-19 10:47:01 MSK
mcelog fails to obtain needed data on newer kernels, fails like:

# mcelog
mcelog: warning: record length longer than expected. Consider update.

Rumors say this is fixed in mcelog release from current Millenia
Comment 1 Michael Shigorin 2011-10-20 16:54:25 MSK
Надо же, а я вчера как раз на него смотрел.  Мне нужен, займусь.
Comment 2 Dmitry V. Levin 2011-10-20 18:35:41 MSK
Я посмотрел мельком, апстримный mcelog за это время сильно изменился, так что пакет надо существенным образом переделать.
Comment 3 Michael Shigorin 2011-10-20 23:45:40 MSK
Да, я уже взял федорин srpm (и на всякий -- сузешный бинарь, благо под рукой).
git не нашёлся нигде часом?
Comment 4 Dank Bagryantsev 2012-01-31 14:03:23 MSK
Какие-то прогнозы есть по апдейту?
mcelog же сейчас нерабочий в p6/t6/Sisyphus
Comment 5 Michael Shigorin 2012-02-07 01:03:00 MSK
Н-да, зря я тогда отвлёкся насчёт гита, это было не самое важное.
Comment 6 Michael Shigorin 2012-02-07 01:19:07 MSK
У меня сборка из task #64116 прикидывается работающей:

# dmesg | mcelog
HARDWARE ERROR. This is *NOT* a software problem!
Please contact your hardware vendor
MCE 0
CPU 4 BANK 8 
TIME 1328562927 Mon Feb  6 23:15:27 2012
MCG status:
MCi status:
Error overflow
Uncorrected error
Processor context corrupt
MCA: MEMORY CONTROLLER GEN_CHANNELunspecified_ERR
Transaction: Generic undefined request
Memory write parity error
Memory corrected error count (CORE_ERR_CNT): 31888
STATUS e21f24000004008f MCGSTATUS 0
MCGCAP 1c09 APICID 10 SOCKETID 1 
CPUID Vendor Intel Family 6 Model 26

Предлагаю прибить имеющийся сизифный, т.к. отталкивался от федориного пакета (позаимствовал из 0.8-alt0.1 файлики для cron и logrotate).
Comment 7 Dmitry V. Levin 2012-02-07 02:12:41 MSK
(In reply to comment #6)
> Предлагаю прибить имеющийся сизифный, т.к. отталкивался от федориного пакета
> (позаимствовал из 0.8-alt0.1 файлики для cron и logrotate).

А почему старая версия, а не из гита, как сейчас в федоре?
И почему не в режиме демона, как сейчас в федоре, а по крону как раньше?
Comment 8 Michael Shigorin 2012-02-08 11:51:17 MSK
Версия взята из федоры, git я тогда не нашёл, а второй раз упираться в таймаут (вчера и так решительно не получалось соскучиться) не хотелось.

Запуск по cron решил оставить как начальный вариант с тем, чтобы потом в более спокойной обстановке с уже работающим бинарником нарисовать и проверить инитскрипт (как ты понимаешь, отрывать наличную поддержку systemd начисто в таком случае не хотелось бы, а какой вид должны иметь пакетные скрипты для случая поддержки и sysvinit, и systemd -- пока не знаю).

Предлагаю прибить 0.8 в сизифе, хотя не настаиваю.
Comment 9 Michael Shigorin 2012-05-05 23:36:12 MSK
Ну или портировать из федоры, если не потребуется дополнительных усилий.
Comment 10 viy 2012-05-06 17:35:10 MSK
(В ответ на комментарий №9)
> Ну или портировать из федоры, если не потребуется дополнительных усилий.

Хочу пока разобраться, как правильно у нас паковать systemd файлы.
Comment 11 AEN 2012-06-16 18:05:50 MSK
2viy@: разобрались? Надо бы починить или удалить.
Comment 12 viy 2012-06-16 23:57:28 MSK
(В ответ на комментарий №11)
> 2viy@: разобрались? Надо бы починить или удалить

Вопрос по сути сводится к принятию полиси, что писать в %post,
если systemd service файл есть, а init скрипта нет.
например, вопрос можно решить, как в
https://bugzilla.altlinux.org/show_bug.cgi?id=27390
это единственная проблема, которая сдерживает.

а так нет проблем, чтобы поставить mcelog на сопровождение роботом,
чтобы можно было попробовать, потестировать,
я выложил mcelog-1.0-alt1_0.5.6e4e2a00 на autoimports.altlinux.org
(из-за нерешенного #27390 у него %post отсутствует, а в остальном пакет на вид нормальный)
до вторника (потом он будет автоматически удален, так как пакет с таким 
именем уже есть в Сизифе).
Comment 13 Michael Shigorin 2012-06-17 00:24:13 MSK
Сам бинарник прикидывается рабочим (не хватает инитскрипта):

# mcelog
Hardware event. This is not a software error.
MCE 0
CPU 4 BANK 8 
MISC 231a131e00004000 ADDR 33c300140 
TIME 1339055310 Thu Jun  7 10:48:30 2012
MCG status:
MCi status:
Error overflow
Uncorrected error
MCi_MISC register valid
MCi_ADDR register valid
Processor context corrupt
MCA: MEMORY CONTROLLER RD_CHANNELunspecified_ERR
Transaction: Memory read error
Memory read ECC error
Memory corrected error count (CORE_ERR_CNT): 20881
Memory transaction Tracker ID (RTId): 0
Memory DIMM ID of error: 0
Memory channel ID of error: 0
Memory ECC syndrome: 231a131e
STATUS ee1464400001009f MCGSTATUS 0
MCGCAP 1c09 APICID 10 SOCKETID 1 
CPUID Vendor Intel Family 6 Model 26
Comment 14 viy 2012-06-17 00:42:36 MSK
(В ответ на комментарий №13)
> Сам бинарник прикидывается рабочим (не хватает инитскрипта):

в старом mcelog его не было, он запускался по крону.
Comment 15 Dank Bagryantsev 2012-12-25 08:00:03 MSK
Насколько я понимаю, mcelog так до сих пор и нерабочий в p6/t6/Sisyphus ?
Comment 16 Michael Shigorin 2012-12-25 13:18:02 MSK
Да.
Comment 17 Andrey Cherepanov 2013-01-03 01:45:55 MSK
(В ответ на комментарий №16)
> Да.
Миша, а какие перспективы сборки хотя бы без systemd-шной обвязки, чтобы я подхватил бэкпортом в p6?
Comment 18 viy 2013-01-03 01:57:41 MSK
Created attachment 5695 [details]
mcelog-1.0-alt1_0.6.6e4e2a00.src.rpm
Comment 19 viy 2013-01-03 02:00:25 MSK
Если что, приложил пересобирающийся в Сизифе пакет от робота.
Comment 20 Michael Shigorin 2013-01-03 03:32:22 MSK
Created attachment 5696 [details]
mcelog-1.0-alt1.src.rpm

Приложил тот промежуточный вариант, который пытался отправить в сизиф почти год тому.  Думаю, он не лучше автоимпортированного.
Comment 21 Andrey Cherepanov 2013-01-03 19:49:21 MSK
Спасибо, мужики. Но когда в Sisyphus будет? В p6 я не могу поместить, так как версия в Sisyphus будет меньше. Всё ещё init-файл никак не напишется?
Comment 22 Evgenii Terechkov 2013-03-24 11:53:35 MSK
ping
Comment 23 Michael Shigorin 2013-03-24 17:56:08 MSK
pong, pong.  Специально держу хост, где вылазят MCE, и надеюсь добраться.
Comment 24 Michael Shigorin 2013-03-26 23:13:06 MSK
Не вылазят, хоть ты тресни :-/  Прошу по возможности посмотреть:
http://git.altlinux.org/people/mike/packages/?p=mcelog.git

Про mce-inject(8) в курсе, но:
# ./mce-inject corrected 
Injecting mce on /dev/mcelog: Invalid argument

http://mcelog.org/faq.html#9 сейчас недоступен.
Comment 25 Michael Shigorin 2013-03-27 20:47:57 MSK
2 evg: ну попробуй, как будет удобно.
Comment 26 Evgenii Terechkov 2013-03-31 10:31:23 MSK
Вроде работает. В Сизиф, я считаю.
Comment 27 Michael Shigorin 2013-04-01 02:47:45 MSK
Спасибо; отправил тестовую сборку, если устроит и ldv@ -- тогда надо будет убрать старый пакет (история не наследуется за отсутствием смысла).
Comment 28 Michael Shigorin 2013-04-02 16:27:36 MSK
* Mon Apr 01 2013 Michael Shigorin <mike@altlinux> 1.0-alt0.2
- cron subpackage made noarch

* Tue Mar 26 2013 Michael Shigorin <mike@altlinux> 1.0-alt0.1
- rebuilt for Sisyphus from ground up
  + upstream version is roughly 1.0 (gc824617)
  + package modeled after fedora's one (thx viy@ for autoimport)
  + systemd unit borrowed from opensuse
  + cron/logrotate files by lakostis@ (packaged separately)
  + sysv initscript written from scratch
- spec *cleanup*
Comment 29 Andrey Cherepanov 2013-04-02 19:11:57 MSK
(В ответ на комментарий №15)
> Насколько я понимаю, mcelog так до сих пор и нерабочий в p6/t6/Sisyphus ?
В p6 отправлено.